#include <contiki.h>
#include <leds.h>
#include <stdio.h>

PROCESS(ledtest, "LED test");
AUTOSTART_PROCESSES(&ledtest);

PROCESS_THREAD(ledtest, ev, data) {
  PROCESS_BEGIN();

  leds_init();
  leds_off(LEDS_ALL);
  
  static struct etimer led_timer;
  static char i;
  for(i = 0; 1; i++) {
    etimer_set(&led_timer, CLOCK_SECOND);

    if((i % 2)) {
      leds_toggle(LEDS_GREEN);
    }
    leds_toggle(LEDS_YELLOW);

    PROCESS_WAIT_EVENT();
  }

  PROCESS_END();
}
